-- 武库组合
checkRequire("Lua_CardGroupWindowPlane");
Lua_CardGroupWindow = class("Lua_CardGroupWindow", Lua_SecondSizeWindow)
function Lua_CardGroupWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CardGroupWindow";
	self.skinName = "CardGroupWindow_skin";
	self.titleText = LanUtil.getValue(128201);
end

function Lua_CardGroupWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_atlas_2", "ui_common_widget_m1", -434, -33, 250, 546)
	self.btnListBg:setDepth(1);

	local arr = DataCenter.cardUtil.getCardCalssList;
	self.btnList = Lua_DragSubButtonList.new(self.content, 1, Vector4(0, -237, 227, 548), Vector3(216, 64, 1), Vector3(185, 47, 1), Vector2(0, 0), Vector3(0, 17.5));
	self.btnList:setData(arr, self, self.onSubClick);
	self.btnList:setLocation(-432, 195, 0);
	self.btnList:setMainSlected(1, 1);
end

function Lua_CardGroupWindow:onSubClick(data)
	if self.cardPanle ~= nil then
		self.cardPanle:dispose();
		self.cardPanle = nil; 
	end
	self.cardPanle = Lua_CardGroupWindowPlane.new(self.content, data.data, data.class_color);

	self.groupProp.text = DataCenter.cardUtil:getCardGroupSkillProp(data.data, data.class_color);
	self:updateWindowDepth();
end

function Lua_CardGroupWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose()
		self.btnListBg = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose()
		self.btnList = nil;
	end
	if self.cardPanle ~= nil then
		self.cardPanle:dispose();
		self.cardPanle = nil; 
	end

	self:superCall("dispose");
end