-- 卡牌升级属性显示封装
Lua_CardUpdateItem = class("Lua_CardUpdateItem", Lua_DragContainerItem);
function Lua_CardUpdateItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_CardUpdateItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CardUpdateItem:setParam(data1, data2, max_level)
	local len1 = data1:getSize();
	local item;
	self.arr = Array();
	for i = 1, len1 do
		item = Lua_CardUpdateItemOne.new(self.content);
		item:setParam(data1[i]);
		if max_level == false then
			if len1 <= 2 then
				item:setLocation(85, 50 - i * 30, 0);
			else
				item:setLocation(65, 65 - i * 30, 0);
			end
		else
			if len1 <= 2 then
				item:setLocation(150, 50 - i * 30, 0);
			else
				item:setLocation(150, 65 - i * 30, 0);
			end
		end
		self.arr:add(item);
	end

	if max_level == false then
		for i = 1, data2:getSize() do
			item = Lua_CardUpdateItemTwo.new(self.content);
			item:setParam(data2[i]);
			if len1 <= 2 then
				item:setLocation(35, 50 - i * 30, 0);
			else
				item:setLocation(45, 65 - i * 30, 0);
			end
			self.arr:add(item);
		end
	end
end

function Lua_CardUpdateItem:getHeight()
    return self.arr:getSize() * 15;
end





--------------------------------------------------





Lua_CardUpdateItemOne = class("Lua_CardUpdateItemOne", Lua_DisplayObject);
function Lua_CardUpdateItemOne:ctor(p)
	self:superCall("ctor", p, "cardUpgradeParam1_skin");
end

function Lua_CardUpdateItemOne:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CardUpdateItemOne:setParam(val)
	self.propTxt.text = val;
end





--------------------------------------------------





Lua_CardUpdateItemTwo = class("Lua_CardUpdateItemTwo", Lua_DisplayObject);
function Lua_CardUpdateItemTwo:ctor(p)
	self:superCall("ctor", p, "cardUpgradeParam2_skin");
end

function Lua_CardUpdateItemTwo:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CardUpdateItemTwo:setParam(val)
	self.addpropTxt.text = val;
end