-- 属性显示封装
Lua_CommonPropItem = class("Lua_CommonPropItem", Lua_DragContainerItem);
function Lua_CommonPropItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_CommonPropItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CommonPropItem:setParam(arr)
	local item;
	self.arr = Array();
	for i = 1, arr:getSize() do
		item = Lua_CommonPropItemParam.new(self.content);
		item:setParam(arr[i]);
		if i % 2 == 0 then
			item:setLocation(25, 102 - i * 36 / 2, 0);
		else
			item:setLocation(-185, 102 - (i + 1) / 2 * 36, 0);
		end
		self.arr:add(item);
	end
end

function Lua_CommonPropItem:getHeight()
	local len = self.arr:getSize();
	if len % 2 == 0 then
		return len / 2 * 36;
	else
		return (len + 1) / 2 * 36;
	end
end





--------------------------------------------------





Lua_CommonPropItemParam = class("Lua_CommonPropItemParam", Lua_DisplayObject);
function Lua_CommonPropItemParam:ctor(p)
	self:superCall("ctor", p, nil);
end

function Lua_CommonPropItemParam:buildShowItem()
	self:superCall("buildShowItem");

	self.label = UICreate.createLabel(self.content, "", 0, 0, 200, 50, 24);
	self.label.pivot = UIWidget.Pivot.TopLeft;
	self.label.overflowMethod = UILabel.Overflow.ResizeFreely;
end

function Lua_CommonPropItemParam:setParam(val)
	self.label.text = val;
end